> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2.md).

# Working with the Import API v2

The import functionality allows you to create or edit data in bulk in Collibra. By importing, you can create and edit communities, domains, assets, mappings, or complex relations and their characteristics such as attributes, relations, responsibilities, and tags.

{% hint style="info" %}
All Import API operations require authentication. For instructions, see the [Collibra REST API authentication](https://developer.collibra.com/tutorials/rest-api-authentication/) tutorial.
{% endhint %}

## Import REST API endpoints and parameters

You can import communities, domains, assets, mappings and complex relations using the following endpoints:

* `/import/json-job`
* `/import/csv-job`
* `/import/excel-job`

### Mandatory parameters

You must provide the following parameters:

| Parameter | Parameter type  | Description                                                                                                                                                                          |
| --------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| fileId    | String (UUID)   | The universally unique identifier (UUID) of a file previously uploaded to Collibra Platform.                                                                                         |
| file      | String (binary) | The JSON, CSV or Excel file. During the import, CSV and Excel files are converted to JSON.                                                                                           |
| template  | String          | The [JSON template](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/formatting-json-template-files.md) interprets the tabular data for CSV and Excel files. |

{% hint style="danger" %}
You cannot provide both `fileId` and `file` in the same call because the operation will fail. Use only one of the two options.
{% endhint %}

### Optional import parameters

The following table summarizes additional Import API v2 POST parameters:

| Parameter                                                                                        | Parameter type | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ------------------------------------------------------------------------------------------------ | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| sendNotification                                                                                 | Boolean        | <p>Whether notifications about the import job should be sent.</p><p>The default value is <code>false</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| simulation                                                                                       | Boolean        | <p>Whether to test the import before applying any changes to Collibra. When <code>true</code>, the Import API performs a simulation of the import or synchronization and produces a summary of the result.</p><p>This parameter does not apply to synchronization requests. It is only relevant for import and ignored for synchronization methods.</p><p>The default value is <code>false</code>.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>Enabling both <code>continueOnError</code> and <code>simulation</code> in the same request is not supported.</p></div> |
| [continueOnError](/api/guides/working-with-the-import-api-v2/the-option-to-continue-on-error.md) | Boolean        | <p>Whether the import should continue if some of the import commands are invalid or failed to execute.</p><p>If <code>true</code>, the valid commands are still committed to the database, which can lead to partial results being stored.</p><p>The default value is <code>false</code>.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>Enabling both <code>continueOnError</code> and <code>simulation</code> in the same request is not supported.</p></div>                                                                                                          |
| fileName                                                                                         | String         | <p>The name the file will receive once uploaded to Collibra.</p><p>The default value is <code>import\_file</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| deleteFile                                                                                       | Boolean        | <p>Whether to delete the import file after a successful import. Regardless of this setting, the file is kept in case of a failed import.</p><p>The default value is <code>false</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                        |
| relationsAction                                                                                  | String         | <p>The action to take in case of existing relations for the specified relation types. The possible values are:</p><ul><li><code>REPLACE</code>: The relations are replaced.</li><li><code>ADD\_OR\_IGNORE</code>: The import only adds new relations.</li></ul><p>The default value is <code>REPLACE</code>.</p>                                                                                                                                                                                                                                                                                                   |
| attributesAction                                                                                 | String         | <p>The action to take in case of existing attributes for the specified attribute types. The possible values are:</p><ul><li><code>REPLACE</code>: The attributes are replaced.</li><li><code>ADD\_OR\_IGNORE</code>: The import only adds new attribute values.</li></ul><p>The default value is: <code>REPLACE</code>.</p>                                                                                                                                                                                                                                                                                        |
| synchronizationId                                                                                | String (UUID)  | The synchronization ID of the operation.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

{% hint style="success" %}
To avoid possible performance issues:

* Disable indexing and hyperlinking calculations before starting import or synchronization operations that handle large volumes of data.
* Restrict import jobs to a maximum of 50,000 resources (communities, domains, assets, complex relations or mappings) and 500,000 additional characteristics (attributes, relations or tags).
  {% endhint %}

## Additional resources

* Read the [Getting Started with the Import API](https://developer.collibra.com/tutorials/getting-started-with-the-import-api/) tutorial.
* Consult the Collibra REST Import API documentation provided with your version of Collibra Platform at https\://\<your\_collibra\_url>/api-docs/index.html?urls.primaryName=import-api.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
